## com.imcode.imcms.api
Class TextHistory

    java.lang.Object
      com.imcode.imcms.api.TextHistory

    public class TextHistory

extends java.lang.Object

Constructor Summary
`TextHistory()`
`TextHistory(TextDomainObject textDO)`

Method Summary
`java.lang.Long` `getId()`
`java.lang.Integer` `getIndex()`
`I18nLanguage` `getLanguage()`
`java.lang.Integer` `getMetaId()`
`java.lang.String` `getText()` Gets the value of text
`int` `getType()` Gets the value of type
`void` `setId(java.lang.Long id)`
`void` `setIndex(java.lang.Integer index)`
`void` `setLanguage(I18nLanguage language)`
`void` `setMetaId(java.lang.Integer metaId)`
`void` `setText(java.lang.String text)` Sets the value of text
`void` `setType(int type)` Sets the value of type
`java.lang.String` `toString()` Equivalent to getText()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TextHistory

    public TextHistory()

### TextHistory

    public TextHistory(TextDomainObject textDO)

Method Detail

### getText

    public java.lang.String getText()

  Gets the value of text

  Returns:
    the value of text

### setText

    public void setText(java.lang.String text)

  Sets the value of text

  Parameters:
    `text` - Value to assign to text

### getType

    public int getType()

  Gets the value of type

  Returns:
    the value of type

### setType

    public void setType(int type)

  Sets the value of type

  Parameters:
    `type` - Value to assign to type

### toString

    public java.lang.String toString()

  Equivalent to getText()

  Overrides:
    `toString` in class `java.lang.Object`

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getMetaId

    public java.lang.Integer getMetaId()

### setMetaId

    public void setMetaId(java.lang.Integer metaId)

### getLanguage

    public I18nLanguage getLanguage()

### setLanguage

    public void setLanguage(I18nLanguage language)

### getIndex

    public java.lang.Integer getIndex()

### setIndex

    public void setIndex(java.lang.Integer index)